> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get themes

> Get all themes



## OpenAPI

````yaml /openapi.json get /themes
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /themes:
    get:
      tags:
        - Theme
      description: Get all themes
      operationId: getThemes
      parameters:
        - name: page
          required: false
          in: query
          description: Page number (1-based)
          schema:
            example: 1
            type: number
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            example: 10
            type: number
      responses:
        '200':
          description: The themes that were found
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Theme'
components:
  schemas:
    Theme:
      type: object
      properties:
        id:
          type: string
          description: The ID of the theme
        name:
          type: string
          description: The name of the theme
        variables:
          type: object
          description: The theme palette
        createdAt:
          format: date-time
          type: string
          description: The date the theme was created
        updatedAt:
          format: date-time
          type: string
          description: The date the theme was last updated
        organizationId:
          type: string
          description: The organization that owns the theme
      required:
        - id
        - name
        - variables
        - createdAt
        - updatedAt
        - organizationId

````